package com.raycos.raycoscommon.Internal.datacenterapi.vo;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * url:   /erp/amztoken/getamztokenbylwacode
 *  使用LWA code 获取亚马逊令牌
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GetAmzTokenByLwaCodeVo {


    /**
     *  企业 ID
     */
    private Long companyId;
    /**
     *  亚马逊店铺信息ID
     */
    private Long storeId;
    /**
     * 用于生成 LWA 刷新令牌的 Login with Amazon （LWA） 授权码
     */
    private String lwaCode;
    /**
     * 参考文档：https://developer-docs.amazon.com/sp-api/docs/website-authorization-workflow
     * 其中：第 4 步： 亚马逊发送授权信息 selling_partner_id  授权您的应用程序的销售合作伙伴的标识符。
     */
    private String sellingPartnerId;

}
