package com.raycos.raycosdatacenterapi;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableDiscoveryClient
@EnableFeignClients
@SpringBootApplication
@MapperScan("com/raycos/raycosdatacenterapi/mapper")

// 添加扫描范围
@ComponentScan(basePackages = {"com.raycos.raycoscommon","com.raycos.raycosdatacenterapi"})

//扫描spring 定时任务
@EnableScheduling
public class RaycosDatacenterApiApplication {

    public static void main(String[] args) {
        SpringApplication.run(RaycosDatacenterApiApplication.class, args);
    }

}
