package com.raycos.raycosdatacenterapi.authorize;

import com.raycos.raycoscommon.Internal.Result;
import com.raycos.raycoscommon.Internal.datacenterapi.TbStoreInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 *   亚马逊店铺 服务接口
 *
 */
@RestController
@Slf4j
@RequestMapping("/erp/amzstore")
public class StoreInfoController {


    @Autowired
    private StoreInfoService storeInfoService;


    /**
     * 新增店铺信息
     *
     * @param tbStoreInfo
     * @return
     */
    @PostMapping("/add")
    public Result<Long> addStoreInfo(@RequestBody TbStoreInfo tbStoreInfo) {
        Result<Long> rt = new Result<>();
        try {
            TbStoreInfo tsi = storeInfoService.addStoreInfo(tbStoreInfo);
            log.info(" 新增店铺信息 成功 返回 ID =>  " + tsi.getId());
            rt.success(tsi.getId());
            rt.setMsg("保存成功！");
        } catch (Exception e) {
            log.error(e.getMessage(), e);
            rt.fail();
        }
        return rt;
    }


    /**
     * 获取访问令牌
     *
     * @return
     */
    public Result<String> getAccessToken() {
        Result<String> rt = new Result<>();

        try {

            rt.success();
        } catch (Exception e) {
            rt.fail();
            log.error("   异常 ", e);
        }
        return rt;
    }

    /**
     * 查询全部店铺信息
     *
     * @return
     */
    @GetMapping("/sel")
    public Result<List<TbStoreInfo>> selStoreInfo() {
        Result<List<TbStoreInfo>> rt = new Result<>();
        try {
            List<TbStoreInfo> tbStoreInfos = storeInfoService.selStoreInfo(null);
            rt.success(tbStoreInfos);
            rt.setMsg("查询成功！");
        } catch (Exception e) {
            log.error(e.getMessage(), e);
            rt.fail();
        }
        return rt;
    }


}
